import { ApiKey } from '@domain/entities/api-key.entity';

export const API_KEY_REPOSITORY = 'API_KEY_REPOSITORY';

export interface ApiKeyRepository {
  save(apiKey: ApiKey): Promise<ApiKey>;
  findById(id: string): Promise<ApiKey | null>;
  findByKeyHash(keyHash: string): Promise<ApiKey | null>;
  findByOrganizationId(organizationId: string): Promise<ApiKey[]>;
  delete(id: string): Promise<void>;
}
